## giflib 3.0

=== Makefile ===
#
# Top-level Unix makefile for the GIFLIB package
# Should work for all Unix versions
#
VERSION=3.0

all:
	cd lib; make static shared
	cd util; make all

install:
	cd lib; make install-lib
	cd util; make install-all

uninstall:
	cd lib; make uninstall-lib
	cd util; make uninstall-all

clean:
	cd lib; make clean
	cd util; make clean
	rm -f giflib-$(VERSION)-1.i386.rpm giflib-$(VERSION)-1.src.rpm \
		giflib-$(VERSION).tar.gz core giflib.lsm

giflib-$(VERSION).tar:
	(cd ..; tar cvf giflib-$(VERSION)/giflib-$(VERSION).tar `cat giflib-$(VERSION)/MANIFEST | sed "/\(^\| \)/s// giflib-$(VERSION)\//g"`)
giflib-$(VERSION).tar.gz: giflib-$(VERSION).tar
	gzip -f giflib-$(VERSION).tar

dist: Makefile
	make giflib-$(VERSION).tar.gz
	lsmgen.sh $(VERSION) `wc -c giflib-$(VERSION).tar.gz` >giflib.lsm
	make giflib-$(VERSION).tar.gz
	ls -l giflib-$(VERSION).tar.gz
	@echo "Don't forget to build RPMs from root!"

SHAROPTS = -l63 -n giflib -o giflib -a -s esr@snark.thyrsus.com 
giflib-$(VERSION).shar:
	(cd ..; shar $(SHAROPTS) `cat MANIFEST | sed "/\(^\| \)/s// bs-$(VERSION)\//g"`)

# You need to be root to make this work
RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -ba
srcdir = .
rpm: dist
	cp giflib-$(VERSION).tar.gz $(RPMROOT)/SOURCES;
	$(srcdir)/specgen.sh $(VERSION) >$(RPMROOT)/SPECS/giflib.spec
	cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) giflib.spec	
	cp $(RPMROOT)/RPMS/`arch|sed 's/i[4-9]86/i386/'`/giflib-$(VERSION)*.rpm $(srcdir)
	cp $(RPMROOT)/SRPMS/giflib-$(VERSION)*.src.rpm $(srcdir)

=== lib/Makefile ===
#
# This is the make file for the lib subdirectory of the GIF library
# You'll need GNU gcc or some other ANSI-complient compiler.
#
#				Gershon Elber, Jun 1989
#  * version number in ./lib/Makefile
#
V = 3.0

SHLIB = libgif.so.$(V)

#
# Where all the include files are:
INCS = -I.

LIBDIR = /usr/lib

#
# What devices we should be able to grab into gif images. Note that if
# you enable them the associated library must be available at link time.
# Avaiable devices:
# 1. EGA, VGA, SVGA (800x600), Hercules - all on IBM PC only.
# 2. SGI 4D Irix using gl library (Add -D__SGI_GL__).
# 3. X11 using libX.a (Add -D__X11__)
DEVS = -D__X11__

#
# These are the flags for gcc, in BSD4.3 or Sun O.S. 4.0.3
#
# If your system has all function prototypes for gcc, replace all
# the -Wxxx with -Wall. I can not add -Wimplicit as my system uses old cc
# h files.
#
# CC = gcc
#
# CFLAGS = -O -c -W -Wreturn-type -Wcomment
# CFLAGS = -g -pg -c -W -Wreturn-type -Wcomment
#
# for sun 4 (gunnars@ifi.uib.no). Tested using gcc 1.39.
#
# CFLAGS = -O -c -sun4 -W -Wreturn-type -Wcomment -DUSE_VARARGS
# CFLAGS = -g -c -sun4 -W -Wreturn-type -Wcomment -DUSE_VARARGS

#
# These are the flags for cc on SGI iris4d. O.S. IRIX 3.2
#
# CC = cc
#
# CFLAGS = -O -c -DSYSV -DNO_VOID_PTR -DUSE_VARARGS -Olimit 1000 -Wf,-XNh5000 -Wf,-XNd5000 -G 4
# CFLAGS = -g -p -c -DSYSV -DNO_VOID_PTR -DUSE_VARARGS -Olimit 1000 -Wf,-XNh5000 -Wf,-XNd5000 -G 4

#
# These are the flags for xlc, ansi compiler for IBM R6000
#
# CC = xlc
#
# CFLAGS = -O -c -qnoro -D_POSIX_SOURCE -D_ALL_SOURCE -DR6000
# CFLAGS = -g -pg -c -qnoro -D_POSIX_SOURCE -D_ALL_SOURCE -DR6000

#
# GNU CC over Linux and XFree86
#
CC = gcc
#
#CFLAGS = -fno-builtin -O -c -W -Wreturn-type -Wcomment
CFLAGS = -fno-builtin -g -c -W -Wreturn-type -Wcomment


OBJS = dev2gif.o egif_lib.o dgif_lib.o gifalloc.o gif_font.o gif_hash.o \
	gif_err.o quantize.o qprintf.o getarg.o

.c.o:
	$(CC) $(INCS) $(DEVS) $(CFLAGS) $<

all: static shared

static: libgif.a
shared: $(SHLIB)

libgif.a: $(OBJS)
	rm -f libgif.a
	ar rcv libgif.a $(OBJS)
	-ranlib libgif.a

$(SHLIB): $(OBJS)
	rm -f libgif.so.$(V)
	gcc -shared -o $(SHLIB) $(OBJS)

dev2gif.o: gif_lib.h
egif_lib.o: gif_lib.h gif_hash.h
dgif_lib.o: gif_lib.h gif_hash.h
gif_hash.o: gif_lib.h gif_hash.h
gif_err.o: gif_lib.h
gifalloc.o: gif_lib.h
gif_font.o: gif_lib.h
quantize.o: gif_lib.h
qprintf.o: gif_lib.h
getarg.o: getarg.h

install-lib: libgif.a
	cp libgif.a libgif.so.$(V) $(LIBDIR)

uninstall-lib: shared static
	rm -f $(LIBDIR)/libgif.a $(LIBDIR)/$(SHLIB)
clean:
	rm -f *.[oa] *~ libgif.so.$(V)

## giflib 4.1.6

=== debian/changelog ===
giflib (4.1.6-9ubuntu1) precise; urgency=low

  * Multiarch it and add fprintf_format_error.patch (Closes: #647497).
    Thanks to YunQiang Su for the patch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 18 Jan 2012 16:16:21 +0100

giflib (4.1.6-9) unstable; urgency=low

  * New Maintainer (Closes: #543841)
  * Adding watch file (Closes: #453530)
  * Converting to source package "3.0 (quilt)".
  * Correcting debhelper version dependency.
  * Adding Vcs fields.
  * Adding manpages.
  * Removing duplicate Section field.
  * Correctly hyphenate man pages.
  * Fixing spelling typos.
  * Adding symbols file.
  * Autoreconfiguring to fix rpath.
  * Cleaning what autoreconf did.
  * Registering html documentation.

 -- Thibaut GRIDEL <tgridel@free.fr>  Wed, 13 Jan 2010 21:22:00 +0100

giflib (4.1.6-8) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:25:21 +0200

giflib (4.1.6-7) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating section of the debug package.
  * Using quilt rather than dpatch.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Removing old transitional packages.
  * Adding misc depends to debug and development package.
  * Updating year in copyright file.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 13:12:16 +0200

giflib (4.1.6-6) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Removing config.guess and config.sub in clean target of rules.
  * Passing '--disable-x11' to configure call to ensure that giflib is
    not linked against X11 libs by accident (Closes: #503836).

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Oct 2008 21:57:00 +0100

giflib (4.1.6-5) unstable; urgency=low

  * Correcting mistake of having libungif4-dev transitional package arch
    dependent.
  * Also adding libgif.so.4.1 symlink.
  * Using links debhelper to create symlinks.
  * Reordering rules file (Closes: #488586).
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to standards .8.0.
  * Upgrading package to debhelper 7.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Jul 2008 12:06:00 +0200

giflib (4.1.6-4) unstable; urgency=high

  * Adding patch from libungif to fix CVE-2005-2974 and CVE-2005-3350.
  * Updating upstream homepage (Closes: #469561).

 -- Daniel Baumann <daniel@debian.org>  Fri, 07 Mar 2008 14:40:00 +0100

giflib (4.1.6-3) unstable; urgency=high

  * Adding transitional packages to kick libungif out of the archive by force.
  * Removing watch file (Closes: #453592).

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Feb 2008 23:22:00 +0100

giflib (4.1.6-2) unstable; urgency=low

  * Adding legacy links for libungif4g/libungif4-dev.

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Jan 2008 20:02:00 +0100

giflib (4.1.6-1) unstable; urgency=low

  * New upstream release.
  * Bumped package to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Added --fail-missing to dh_install call.
  * Updated conficts/replaces/provides to initiate libungif4 to libgif4
    transition.

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Jan 2008 18:34:00 +0100

giflib (4.1.4-2) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Fri, 19 Jan 2007 14:14:00 +0100

giflib (4.1.4-1) unstable; urgency=low

  * Took over package from Pawel.
  * New upstream release (Closes: #395388):
    - This is giflib 4.x, replacing giflib 3.x. No package in the archive has to
      be transitioned. After etch, giflib will replace libungif (all alleged patents
      are expired all over the world).
    - doesn't contain gif2x11 (Closes: #328665)
    - isn't affected by CVE-2005-2974 and CVE-2005-3350 (Closes: #395382).
  * Redone debian directory based on current debhelper templates, additionally:
    - added watch file.
    - added debug package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 02 Nov 2006 20:39:00 +0100

giflib (3.0-12) unstable; urgency=low

  * Applied patch from Dann Frazier <dannf@hp.com> to fix problems on 64-bit
    archs (closes: #325034)
  * Updated standards-version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Thu, 22 Sep 2005 21:15:00 +0200

giflib (3.0-11) unstable; urgency=low

  * Updated copyright file by removing warning saying it cannot by put on CDs,
    removed patent-related notes from long descriptions in control as well
    (should have done that in -10, but forgot).

 -- Pawel Wiecek <coven@debian.org>  Thu, 19 Aug 2004 00:43:34 +0200

giflib (3.0-10) unstable; urgency=low

  * Moved to main because of LZW's patent expiration (at long last!)
    (closes: #258465)
  * Fixed build-dependencies (closes: #262405)

 -- Pawel Wiecek <coven@debian.org>  Tue, 17 Aug 2004 22:09:18 +0200

giflib (3.0-9) unstable; urgency=low

  * Renamed getarg.h to gagetarg.h, to avoid name clashes (closes: #83331)
  * Updated standards version (no changes)

 -- Pawel Wiecek <coven@debian.org>  Mon, 19 Jan 2004 22:47:34 +0100

giflib (3.0-8) unstable; urgency=low

  * Applied patch from John Lightsey <john@nixnuts.net> to fix transparency
    problems (closes: #20716)
  * Documented the fact, that giflib cannot be put on CD-ROMs (closes: #24580)
  * Applied patch from John Lightsey <john@nixnuts.net> to fix gifinto's
    behavior when no arguments are supplied (closes: #49431)
  * giflib3g-dev now conflicts with heimdal-dev (closes: #83331, #180265)
  * Updated standards version
  * Updated sections (giflib3g-dev goes to non-free/libdevel, giflib3g-bin
    goes to non-free/utils)

 -- Pawel Wiecek <coven@debian.org>  Wed, 18 Jun 2003 13:54:09 +0200


=== debian/control ===
Source: giflib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thibaut GRIDEL <tgridel@free.fr>
Build-Depends: debhelper (>= 8.1.3), autotools-dev, automake, autoconf, libtool (>=2.2.6)
Standards-Version: 3.9.2
Homepage: http://giflib.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/giflib.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/giflib.git

Package: giflib-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, giflib-tools (= ${binary:Version}),
 libgif4 (= ${binary:Version}), libgif-dev (= ${binary:Version})
Description: library for GIF images (debug)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the debugging symbols.

Package: giflib-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libungif-bin
Description: library for GIF images (utilities)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains additional utilities.

Package: libgif4
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libungif4g
Multi-Arch: same
Description: library for GIF images (library)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the library.

Package: libgif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgif4 (= ${binary:Version})
Provides: libungif4-dev
Description: library for GIF images (development)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} 

override_dh_auto_clean:
	[ ! -f Makefile ] || make maintainer-clean
	dh_auto_clean

override_dh_auto_configure:
	autoreconf -fi
	dh_auto_configure -- --disable-x11 --disable-rpath

override_dh_auto_install:
	dh_auto_install

	# Installing additional documentation
	mkdir -p debian/giflib-tools/usr/share/doc/giflib-tools/html
	cp -a doc/*.txt debian/giflib-tools/usr/share/doc/giflib-tools/
	cp -a doc/*.html debian/giflib-tools/usr/share/doc/giflib-tools/html

	# Creating manpages "on the fly"
	for i in `ls debian/tmp/usr/bin`; do \
	  if [ ! -e debian/$$i.1 ]; then \
	    sed -f debian/htmltoman.sed doc/$$i.html > debian/$$i.1 && \
	    echo debian/$$i.1 >> debian/giflib-tools.manpages; \
	  fi \
	done

override_dh_install:
	sed "s/%DEB_HOST_MULTIARCH%/${DEB_HOST_MULTIARCH}/g" debian/libgif4.links.in > debian/libgif4.links
	sed "s/%DEB_HOST_MULTIARCH%/${DEB_HOST_MULTIARCH}/g" debian/libgif-dev.links.in >debian/libgif-dev.links
	dh_install

override_dh_strip:
	dh_strip --dbg-package=giflib-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgif4 (>=4.1.6)'

## giflib 5.1.2

=== debian/changelog ===
giflib (5.1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix DGifOpen(), uninitialized memory. Closes: #812093.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jan 2016 01:00:16 +0100

giflib (5.1.2-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream version.
    - CVE-2015-7555, Heap-based buffer overflow in giffix utility.
      Closes: #808704.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jan 2016 22:26:13 +0100

giflib (5.1.1-0.2) unstable; urgency=medium

  * Non-maintainer upload, upload to unstable. Closes: #803158.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Dec 2015 16:13:06 +0100

giflib (5.1.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version. See: #803158.
  * Enable parallel builds.
  * Build-depend on xmlto.
  * Don't ship broken libungif symlinks. Closes: #732272. LP: #1337898.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Oct 2015 01:07:33 +0100

giflib (4.1.6-11) unstable; urgency=low

  * Remove Provides: libungif4g.
  * Enable Multiarch (Closes: #647497).
  * depend on dh-autoreconf.
  * Update to debhelper 9 and bump Standards to 3.9.4.
  * Honor the LAFileRemoval goal.
  * Update git links.

 -- Thibaut Gridel <tgridel@free.fr>  Sat, 07 Dec 2013 18:40:27 +0100

giflib (4.1.6-10) unstable; urgency=low

  * Fixing fprintf issues by YunQiang Su.
  * Hardening build flags (Closes: #673660).
  * Updating Standards (no change).

 -- Thibaut Gridel <tgridel@free.fr>  Fri, 19 Oct 2012 23:03:46 +0200

giflib (4.1.6-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on libperl4-corelibs-perl (Closes: #659421)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Apr 2012 17:29:52 +0100

=== debian/control ===
Source: giflib
Section: libs
Priority: optional
Maintainer: Thibaut Gridel <tgridel@free.fr>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, xmlto
Standards-Version: 3.9.6
Homepage: http://giflib.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/giflib.git;a=shortlog;h=refs/heads/debian
Vcs-Git: git://anonscm.debian.org/collab-maint/giflib.git -b debian

Package: giflib-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, giflib-tools (= ${binary:Version}),
 libgif7 (= ${binary:Version}), libgif-dev (= ${binary:Version})
Description: library for GIF images (debug)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the debugging symbols.

Package: giflib-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libperl4-corelibs-perl | perl (<< 5.12.3-7)
Provides: libungif-bin
Description: library for GIF images (utilities)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains additional utilities.

Package: libgif7
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for GIF images (library)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the library.

Package: libgif-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgif7 (= ${binary:Version})
Description: library for GIF images (development)
 GIFLIB is a package of portable tools and library routines for working with GIF
 images.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel --with autoreconf

override_dh_auto_install:
	dh_auto_install

	# Installing additional documentation
	mkdir -p debian/giflib-tools/usr/share/doc/giflib-tools/html
	cp -a doc/*.txt debian/giflib-tools/usr/share/doc/giflib-tools/
	cp -a doc/*.html debian/giflib-tools/usr/share/doc/giflib-tools/html

	# Creating manpages "on the fly"
	for i in `ls debian/tmp/usr/bin`; do \
	  if [ ! -e debian/$$i.1 ]; then \
	    sed -f debian/htmltoman.sed doc/$$i.html > debian/$$i.1 && \
	    echo debian/$$i.1 >> debian/giflib-tools.manpages; \
	  fi \
	done

override_dh_strip:
	dh_strip --dbg-package=giflib-dbg

## giflib 5.1.4

=== debian/changelog ===
giflib (5.1.4-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2016-3977.patch: fix SF
      in heap buff overflow in lib/dgif_lig.c,
      util/gif2rgb.c.
    - CVE-2016-3977
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-11490.patch: adding checks
      in DGifDecompressLine in order to avoid a heap buffer overflow and
      a denial of service in lib/dgif_lib.c.
    - CVE-2018-11490
  * SECURITY UPDATE: Divide-by-zero
    - debian/patches/CVE-2019-15133.patch: adding checks bounds
      in lib/dgif_lib.c.
    - CVE-2019-15133

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 19 Aug 2019 15:35:19 -0300

giflib (5.1.4-2) unstable; urgency=low

  * QA upload.
  * New vcs repository generated from a) "gbp import-dscs --debsnap giflib",
    b) old repo on alioth c) private repo for changes > 5.1.4-0.4.
    Update Vcs* in debian/control, pointing to salsa.
  * [lintian] Delete trailing whitespace in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Feb 2018 15:43:54 +0100

giflib (5.1.4-1) unstable; urgency=low

  * QA upload.
  * Set maintainer to qa.
  * Build with hardening=+bindnow.
  * Switch to automatic dbgsym packages.
  * 03-spelling_fixes.patch: Fix another two typoes found by lintian.
  * Bump standards-version - No changes.
  * Use debhelper 10 compat, which uses autoreconf and --parallel by default.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 01 Aug 2017 18:06:06 +0200

giflib (5.1.4-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove patch/issue87 because that is already present in upstream.
  * Remove patch/04-fprintf_format_error.patch which was commented out anyway.
  * Install manpages supplied by upstream
    Closes: #809439.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 18 Oct 2016 00:16:00 +0200

giflib (5.1.4-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-3977: gif2rgb: heap buffer overflow. Closes: #820526.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jun 2016 00:24:07 +0200

giflib (5.1.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the local fix for issue #81, solved differently upstream.
    Closes: #823481.

 -- Matthias Klose <doko@debian.org>  Sun, 08 May 2016 17:40:28 +0200

giflib (5.1.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Security issues already fixed in 5.1.2: CVE-2016-3977.
    Closes: #820594, #820526.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Apr 2016 20:19:43 +0200

giflib (5.1.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  [ Tobias Frost ]
  * debian/patches/ef0cb9b4be572262b49fbc26fb2348683f44a517.patch:
    try to fix testsuite failures on feh/powerpc.
    (Closes: #812657)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Apr 2016 19:09:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,13 @@
 Source: giflib
 Section: libs
 Priority: optional
-Maintainer: Thibaut Gridel <tgridel@free.fr>
-Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, xmlto
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 10), xmlto
+Standards-Version: 4.1.3
 Homepage: http://giflib.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/giflib.git;a=shortlog;h=refs/heads/debian
-Vcs-Git: git://anonscm.debian.org/collab-maint/giflib.git -b debian
-
-Package: giflib-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- ${misc:Depends}, giflib-tools (= ${binary:Version}),
- libgif7 (= ${binary:Version}), libgif-dev (= ${binary:Version})
-Description: library for GIF images (debug)
- GIFLIB is a package of portable tools and library routines for working with GIF
- images.
- .
- This package contains the debugging symbols.
+Vcs-Git: https://salsa.debian.org/debian/giflib.git
+Vcs-Browser: https://salsa.debian.org/debian/giflib
 
 Package: giflib-tools
 Section: utils

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://sf.net/giflib/giflib-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## giflib 5.1.4.1

=== debian/changelog ===
giflib (5.1.4.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 0f88ebfba14ab876de346660c50fe970c951f208']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 16:52:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: giflib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10), xmlto
 Standards-Version: 4.1.3
 Homepage: http://giflib.sourceforge.net/

## giflib 5.1.4.2

=== debian/changelog ===
giflib (5.1.4.2-3+security) unstable; urgency=medium

  * update

 -- Debian QA Group <packages@qa.debian.org>  Fri, 16 Apr 2021 14:49:10 +0800

giflib (5.1.4.1-1+dde) unstable; urgency=medium

  *rebuild

 -- liuxin <liuxin@uniontech.com>  Sun, 05 Jul 2020 19:31:34 +0800

giflib (5.1.4-3) unstable; urgency=medium

  * QA upload.
  * Heap-based buffer overflow in util/gif2rgb.c (CVE-2016-3977)
    (Closes: #820526)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 05 Jun 2018 20:58:51 +0200

## giflib 5.1.4.3

=== debian/changelog ===
giflib (5.1.4.3-deepin1) unstable; urgency=medium

  * 1.fix DGifSlurp function signed-integer-overflow

 -- liaoyuan <liaoyuan@liaoyuan>  Mon, 06 Mar 2023 15:00:47 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh ${@}

override_dh_auto_install:
	# force rebuilding the manpages
	rm -rf doc/*.1

	dh_auto_install

	# Installing additional documentation
	mkdir -p debian/giflib-tools/usr/share/doc/giflib-tools/html
	cp -a doc/*.txt debian/giflib-tools/usr/share/doc/giflib-tools/
	cp -a doc/*.html debian/giflib-tools/usr/share/doc/giflib-tools/html

override_dh_strip:
	dh_strip --dbgsym-migration='giflib-dbg (<< 5.1.4-1)'

## giflib 5.1.8

=== Makefile ===
# Top-level Unix makefile for the GIFLIB package
# Should work for all Unix versions
#
# If your platform has the OpenBSD reallocarray(3) call, you may
# add -DHAVE_REALLOCARRAY to CFLAGS to use that, saving a bit
# of code space in the shared library.

#
CC    = gcc
OFLAGS = -O0 -g
#OFLAGS  = -O2 -fwhole-program
CFLAGS  = -std=gnu99 -fPIC -Wall -Wno-format-truncation $(OFLAGS)
LDFLAGS = -g

SHELL = /bin/sh
TAR = tar
INSTALL = install

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
INCDIR = $(PREFIX)/include
LIBDIR = $(PREFIX)/lib
MANDIR = $(PREFIX)/share/man

# No user-serviceable parts below this line

VERSION:=$(shell ./getversion)
LIBMAJOR=7
LIBMINOR=1
LIBPOINT=0
LIBVER=$(LIBMAJOR).$(LIBMINOR).$(LIBPOINT)

SOURCES = dgif_lib.c egif_lib.c getarg.c gifalloc.c gif_err.c gif_font.c \
	gif_hash.c openbsd-reallocarray.c qprintf.c quantize.c
HEADERS = getarg.h  gif_hash.h  gif_lib.h  gif_lib_private.h
OBJECTS = $(SOURCES:.c=.o)

# Some utilities are installed
INSTALLABLE = \
	gif2rgb \
	gifbuild \
	gifecho \
	giffilter \
	giffix \
	gifinto \
	giftext \
	giftool \
	gifsponge \
	gifclrmp

# Some utilities are only used internally for testing.
# There is a parallel list in doc/Makefile.
# These are all candidates for removal in future releases.
UTILS = $(INSTALLABLE) \
	gifbg \
	gifcolor \
	gifhisto \
	gifsponge \
	gifwedge

LDLIBS=libgif.a -lm

all: libgif.so libgif.a $(UTILS)
	$(MAKE) -C doc

$(UTILS):: libgif.a

libgif.so: $(OBJECTS) $(HEADERS)
	$(CC) $(CFLAGS) -shared $(OFLAGS) -Wl,-soname -Wl,libgif.so.$(LIBMAJOR) -o libgif.so $(OBJECTS)

libgif.a: $(OBJECTS) $(HEADERS)
	$(AR) rcs libgif.a $(OBJECTS)

clean:
	rm -f $(UTILS) $(TARGET) libgetarg.a libgif.a libgif.so
	rm -f libgif.so.$(LIBMAJOR).$(LIBMINOR).$(LIBPOINT)
	rm -f libgif.so.$(LIBMAJOR)
	rm -fr doc/*.1 *.html doc/staging

check: all
	$(MAKE) -C tests

# Installation/uninstallation

install: all install-bin install-include install-lib install-man
install-bin: $(INSTALLABLE)
	$(INSTALL) -d "$(DESTDIR)$(BINDIR)"
	$(INSTALL) $^ "$(DESTDIR)$(BINDIR)"
install-include:
	$(INSTALL) -d "$(DESTDIR)$(INCDIR)"
	$(INSTALL) -m 644 gif_lib.h "$(DESTDIR)$(INCDIR)"
install-lib:
	$(INSTALL) -d "$(DESTDIR)$(LIBDIR)"
	$(INSTALL) -m 644 libgif.a "$(DESTDIR)$(LIBDIR)/libgif.a"
	$(INSTALL) -m 755 libgif.so "$(DESTDIR)$(LIBDIR)/libgif.so.$(LIBVER)"
	ln -sf libgif.so.$(LIBVER) "$(DESTDIR)$(LIBDIR)/libgif.so.$(LIBMAJOR)"
	ln -sf libgif.so.$(LIBMAJOR) "$(DESTDIR)$(LIBDIR)/libgif.so"
install-man:
	$(INSTALL) -d "$(DESTDIR)$(MANDIR)/man1"
	$(INSTALL) -m 644 doc/*.1 "$(DESTDIR)$(MANDIR)/man1"
uninstall: uninstall-man uninstall-include uninstall-lib uninstall-bin
uninstall-bin:
	cd "$(DESTDIR)$(BINDIR)" && rm -f $(INSTALLABLE)
uninstall-include:
	rm -f "$(DESTDIR)$(INCDIR)/gif_lib.h"
uninstall-lib:
	cd "$(DESTDIR)$(LIBDIR)" && \
		rm -f libgif.a libgif.so libgif.so.$(LIBMAJOR) libgif.so.$(LIBVER)
uninstall-man:
	cd "$(DESTDIR)$(MANDIR)/man1" && rm -f $(shell cd doc >/dev/null && echo *.1)

# Make distribution tarball
#
# We include all of the XML, and also generated manual pages
# so people working from the distribution tarball won't need xmlto.

EXTRAS =     README \
	     NEWS \
	     TODO \
	     COPYING \
	     getversion \
	     ChangeLog \
	     build.adoc \
	     history.adoc \
	     control \
	     doc/whatsinagif \

DSOURCES = Makefile *.[ch]
DOCS = doc/*.xml doc/*.1 doc/*.html doc/*.txt doc/index.html.in doc/00README doc/Makefile
ALL =  $(DSOURCES) $(DOCS) tests pic $(EXTRAS)
giflib-$(VERSION).tar.gz: $(ALL)
	$(TAR) --transform='s:^:giflib-$(VERSION)/:' -czf giflib-$(VERSION).tar.gz $(ALL)
giflib-$(VERSION).tar.bz2: $(ALL)
	$(TAR) --transform='s:^:giflib-$(VERSION)/:' -cjf giflib-$(VERSION).tar.bz2 $(ALL)

dist: giflib-$(VERSION).tar.gz giflib-$(VERSION).tar.bz2

# Auditing tools.

# Check that getversion hasn't gone pear-shaped.
version:
	@echo $(VERSION)

# cppcheck should run clean
cppcheck:
	cppcheck --inline-suppr --template gcc --enable=all --suppress=unusedFunction --force *.[ch]

# Verify the build
distcheck: all
	$(MAKE) giflib-$(VERSION).tar.gz
	tar xzvf giflib-$(VERSION).tar.gz
	$(MAKE) -C giflib-$(VERSION)
	rm -fr giflib-$(VERSION)

# release using the shipper tool
release: all distcheck
	$(MAKE) -C doc website
	shipper --no-stale version=$(VERSION) | sh -e -x
	rm -fr doc/staging

# Refresh the website
refresh: all
	$(MAKE) -C doc website
	shipper --no-stale -w version=$(VERSION) | sh -e -x
	rm -fr doc/staging

=== doc/Makefile ===
.SUFFIXES: .xml .html .txt .adoc .1

.xml.html:
	xmlto xhtml-nochunks $<

.xml.1:
	xmlto man $<

.xml.txt:
	xmlto txt $<

.adoc.html:
	asciidoc $<

all: allhtml manpages

# The distinction between XMLMAN and XMLINTERNAL is because
# some pages shouldn't be installed as part of a binary package;
# they're just for test-pattern generators.
XMLMAN = \
	gif2rgb.xml \
	gifbuild.xml \
	gifclrmp.xml \
	gifecho.xml \
	giffix.xml \
	gifinto.xml \
	giflib.xml \
	giftext.xml \
	giftool.xml
XMLINTERNAL = \
	gifbg.xml \
	gifcolor.xml \
	gifhisto.xml \
	gifwedge.xml
XMLDOC = intro.xml gif_lib.xml
XMLALL = $(XMLMAN) $(XMLINTERNAL) $(XMLDOC)
TXTDOC = 00README gif87.txt gif89.txt lzgif.txt
SOURCES = $(XMLALL) $(TXTDOC)

# Philosophical choice: the website gets the internal manual pages
allhtml: $(XMLALL:.xml=.html) $(XMLINTERNAL:.xml=.html)

manpages: $(XMLMAN:.xml=.1) $(XMLINTERNAL:.xml=.1)

# Prepare the website directory to deliver an update.
# ImageMagick and asciidoc are required.
website: allhtml
	rm -fr staging; mkdir staging; 
	cp -r $(XMLALL:.xml=.html) *.txt whatsinagif staging
	cp index.html.in staging/index.html
	convert ../pic/gifgrid.gif -resize 50x50 staging/giflib-logo.gif
	asciidoc - <../history.adoc >staging/history.html

## giflib 5.1.9

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,9 @@
 # of code space in the shared library.
 
 #
-CC    = gcc
 OFLAGS = -O0 -g
-#OFLAGS  = -O2 -fwhole-program
+OFLAGS  = -O2
 CFLAGS  = -std=gnu99 -fPIC -Wall -Wno-format-truncation $(OFLAGS)
-LDFLAGS = -g
 
 SHELL = /bin/sh
 TAR = tar
@@ -30,10 +28,14 @@
 LIBPOINT=0
 LIBVER=$(LIBMAJOR).$(LIBMINOR).$(LIBPOINT)
 
-SOURCES = dgif_lib.c egif_lib.c getarg.c gifalloc.c gif_err.c gif_font.c \
-	gif_hash.c openbsd-reallocarray.c qprintf.c quantize.c
-HEADERS = getarg.h  gif_hash.h  gif_lib.h  gif_lib_private.h
+SOURCES = dgif_lib.c egif_lib.c gifalloc.c gif_err.c gif_font.c \
+	gif_hash.c openbsd-reallocarray.c
+HEADERS = gif_hash.h  gif_lib.h  gif_lib_private.h
 OBJECTS = $(SOURCES:.c=.o)
+
+USOURCES = qprintf.c quantize.c getarg.c 
+UHEADERS = getarg.h
+UOBJECTS = $(USOURCES:.c=.o)
 
 # Some utilities are installed
 INSTALLABLE = \
@@ -60,19 +62,25 @@
 
 LDLIBS=libgif.a -lm
 
-all: libgif.so libgif.a $(UTILS)
+all: libgif.so libgif.a libutil.so libutil.a $(UTILS)
 	$(MAKE) -C doc
 
-$(UTILS):: libgif.a
+$(UTILS):: libgif.a libutil.a
 
 libgif.so: $(OBJECTS) $(HEADERS)
-	$(CC) $(CFLAGS) -shared $(OFLAGS) -Wl,-soname -Wl,libgif.so.$(LIBMAJOR) -o libgif.so $(OBJECTS)
+	$(CC) $(CFLAGS) -shared $(LDFLAGS) -Wl,-soname -Wl,libgif.so.$(LIBMAJOR) -o libgif.so $(OBJECTS)
 
 libgif.a: $(OBJECTS) $(HEADERS)
 	$(AR) rcs libgif.a $(OBJECTS)
 
+libutil.so: $(UOBJECTS) $(UHEADERS)
+	$(CC) $(CFLAGS) -shared $(LDFLAGS) -Wl,-soname -Wl,libutil.so.$(LIBMAJOR) -o libutil.so $(UOBJECTS)
+
+libutil.a: $(UOBJECTS) $(UHEADERS)
+	$(AR) rcs libutil.a $(UOBJECTS)
+
 clean:
-	rm -f $(UTILS) $(TARGET) libgetarg.a libgif.a libgif.so
+	rm -f $(UTILS) $(TARGET) libgetarg.a libgif.a libgif.so libutil.a libutil.so *.o
 	rm -f libgif.so.$(LIBMAJOR).$(LIBMINOR).$(LIBPOINT)
 	rm -f libgif.so.$(LIBMAJOR)
 	rm -fr doc/*.1 *.html doc/staging
@@ -126,7 +134,7 @@
 	     doc/whatsinagif \
 
 DSOURCES = Makefile *.[ch]
-DOCS = doc/*.xml doc/*.1 doc/*.html doc/*.txt doc/index.html.in doc/00README doc/Makefile
+DOCS = doc/*.xml doc/*.1 doc/*.html doc/index.html.in doc/00README doc/Makefile
 ALL =  $(DSOURCES) $(DOCS) tests pic $(EXTRAS)
 giflib-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:giflib-$(VERSION)/:' -czf giflib-$(VERSION).tar.gz $(ALL)

=== debian/changelog ===
giflib (5.1.9-2build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:54:44 +0100

giflib (5.1.9-2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:59 +0200

giflib (5.1.9-2) unstable; urgency=medium

  * New Debian version.
  * d/control:
    - Update debhelper compatibility.
    - Update standards version; no changes needed.
  * d/patches:
    - Add 'fix-spelling-errors-on-doc-pages'; Closes: #857609.
    - Add 'fix-get-args-segment-violation';
        Closes: #715963, #715964, #715967.
    - Add 'recover-giffilter-docs'.
    - Add 'add-gifsponge-docs'.
  * d/rules:
    - Install only html docs for installed binaries.
    - Clean generated patched doc files.
  * Update d/source/lintian-overrides tag.
  * Remove d/giflib-tools.lintian-overrides: we have the manpages.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 20 Dec 2020 22:07:35 +0100

giflib (5.1.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol.

  [ Andreas Metzler ]
  * AUTHORS file not shipped anymore, update debian/*.docs.
  * Uses straight make instead of autotools, adapt debian/rules accordingly.
  * Use dh 12 compat level.
  + Update debian/copyright, add Format specifier.

  [ David Suárez ]
  * New upstream version:
    - Add myself as maintainer; Closes: #834410.
    - Fixes heap-based buffer overflow in DGifDecompressLine function.
        CVE-2018-11490 sf#113; Closes: #904114
    - Fixes MemorySanitizer: FPE on unknown address;
        CVE-2019-15133 sf#119: Closes: #904113
  * Acknowledges NMU's uploads.
  * d/watch:
    - Bump version.
    - Don't run uupdate.
    - Don't use debian redirector.
  * d/patches:
    - Drop '03-spelling_fixes.patch' and 'CVE-2016-3977.patch';
        Applied upstream.
    - Add 'install-only-distributed-binaries-manuals' patch.
    - Add 'revert-GifQuantizeBuffer-remove-from-lib' patch.
  * d/rules
    - Don't force the rebuilding of manpages, the clean rule does the job.
    - Remove the txt docs from giflib-tools; Not distributed.
    - Remove 'dh_strip --dbgsym-migration'; Not needed anymore.
    - Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4.
  * giflib-tools.manpages: point to the correct ones.
  * d/control:
    - Add 'Rules-Requires-Root' field.
    - Update Standars version; no changes needed.
    - Change VCS URL's.
  * d/libgif7.symbols:
    - Add 'Build-Depends-Package' field.
    - Update symbols.
  * d/copyright:
    - Remove 'doc/gif87.txt'; Nows not distributed.
    - Add myself on debian/* files.
    - Add 'upstream-{Name,Contact}'.
  * Wrap and sort.
  * Add upstream metadata.
  * Add lintian overrides for some giflib-tools manpages.
  * Add lintian source override for sourceforge redirector.
  * Drop libgif7.shlibs; not needed.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 08 Dec 2019 21:18:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

doc_html = \
	doc/gif_lib.html \
	doc/gif2rgb.html \
	doc/gifbuild.html \
	doc/gifclrmp.html \
	doc/gifecho.html \
	doc/giffilter.html \
	doc/giffix.html \
	doc/gifinto.html \
	doc/giflib.html \
	doc/gifsponge.html \
	doc/giftext.html \
	doc/giftool.html \
	doc/intro.html

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- OFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)" \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)

	# Installing additional documentation
	mkdir -p debian/giflib-tools/usr/share/doc/giflib-tools/html
	cp -a $(doc_html) debian/giflib-tools/usr/share/doc/giflib-tools/html

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/*.1 doc/*.html

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?\/giflib-([\d+\.]+|\d+)\.(tar\.(?:gz|bz2|xz))\/download/giflib-$1\.$2/ \
  https://sourceforge.net/projects/giflib/files giflib-([\d+\.]+|\d+)\.(?:tar\.(?:gz|bz2|xz))/download

## giflib 5.2.1

=== debian/changelog ===
giflib (5.2.1-2.5) unstable; urgency=medium

  * Non-maintainer upload
  * Move declaration of GifQuantizeBuffer() back to gif_lib.h
    (Closes: #1011705)

 -- Graham Inggs <ginggs@debian.org>  Sun, 12 Jun 2022 16:32:15 +0000

giflib (5.2.1-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 27 Apr 2022 20:17:29 +0200

giflib (5.2.1-2.3) experimental; urgency=medium

  * Non-maintainer upload.
  * Merge experimental git branch into master
  * tests: do not spoil test result files with stderr

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 22 Apr 2022 04:06:59 +0000

giflib (5.2.1-2.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Add patch from Fedora (giflib_quantize.patch) to reinstate
    GifQuantizeBuffer into giflib.so.  Closes: #935088
  * Re-add the symbols in libgif7.symbols.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 14 Apr 2022 16:06:15 +0200

giflib (5.1.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship pkg-config information.
  * Mark libgif-dev as Multi-Arch:same.  (Closes: #998128)
  * Bump standards version to 4.6.0, no changes required.

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 14 Apr 2022 15:59:53 +0200

giflib (5.2.1-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Set Maintainer to David Suárez <david.sephirot@gmail.com>, to match
    unstable and fix a QA check that is warning about orphaned package but
    missing O bug.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 07 Jun 2021 14:41:34 +0200

giflib (5.2.1-2) experimental; urgency=low

  * QA upload.
  * Run "wrap-and-sort --max-line-length=72 --short-indent"; also wrap package
    descriptions.
  * Pass -c4 to dpkg-gensymbols.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Aug 2019 18:13:08 +0200

giflib (5.2.1-1) experimental; urgency=low

  * QA upload.
  * New upstream version.
    + Drop 03-spelling_fixes.patch and 40_fixtestsuite.diff.
    + Unfuzz and extend (for libutil addition)
      30_link_utils_dynamically.diff.
    + Do not ship gif standards in txt format with giflib-tools.
    + Update symbol file. Symbols which were only accidentally exported were
      removed. For consumption by giflib-tools a small (static) helper library
      (libutil) still provides the symbols.
    + Pass CC=$(CC) to dh_auto_build

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Aug 2019 14:32:47 +0200

giflib (5.1.8-1) experimental; urgency=low

  * QA upload.
  * New upstream version:
    + Drop 20_giflib_soname.patch and 25_giflib_mandir.patch.
    + Unfuzz 30_link_utils_dynamically.diff.
    + Fixes CVE-2019-15133 - SF bug #119: MemorySanitizer: FPE on unknown
      address
  * 40_fixtestsuite.diff: Do not use temporary files in /tmp with a predefined
    name in testsuite. This also fixes a testsuite error with parallel builds.
  * debian/rules: Remove prebuilt manpages before build instead of before
    install.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Mar 2019 19:08:37 +0100

giflib (5.1.7-1) experimental; urgency=low

  * QA upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Andreas Metzler ]
  * New upstream version:
    + Refresh 03-spelling_fixes.patch.
    + Drop CVE-2016-3977.patch, included upstream.
    + AUTHORS file not shipped anymore, update debian/*.docs.
    + Uses straight make instead of autotools, adapt debian/rules accordingly.
    + 20_giflib_soname.patch from Fedora: Set soname on built library.
    + Update symbol file.
    + Fixes heap-based buffer overflow in DGifDecompressLine function.
      CVE-2018-11490 sf#113 Closes: #904114
    + Update debian/copyright, add Format specifier.
  * [lintian] Add Build-Depends-Package info to symbol file.
  * Use dh 12 compat level.
  * Add 25_giflib_mandir.patch to fix the manpage install path and ship the
    installed manpages.
  * Set Rules-Requires-Root: no.
  * 30_link_utils_dynamically.diff: Link giflib-tools dynamically instead of
    statically against giflib.
  * Delete debian/libgif7.shlibs (Unused, we have a symbol file) and
    debian/giflib-dbg.docs.
  * debian/copyright: More maintainer history/copyright, assuming NMUs did not
    feature big copyrightable changes.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Mar 2019 13:40:22 +0100

=== debian/control ===
Source: giflib
Section: libs
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: debhelper-compat (= 13), xmlto
Standards-Version: 4.6.0
Homepage: http://giflib.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/giflib.git
Vcs-Browser: https://salsa.debian.org/debian/giflib
Rules-Requires-Root: no

Package: giflib-tools
Section: utils
Architecture: any
Depends:
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: libungif-bin
Description: library for GIF images (utilities)
 GIFLIB is a package of portable tools and library routines for working with
 GIF images.
 .
 This package contains additional utilities.

Package: libgif7
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for GIF images (library)
 GIFLIB is a package of portable tools and library routines for working with
 GIF images.
 .
 This package contains the library.

Package: libgif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgif7 (= ${binary:Version}), ${misc:Depends}
Description: library for GIF images (development)
 GIFLIB is a package of portable tools and library routines for working with
 GIF images.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
+# Include /usr/share/dpkg/pkg-info.mk to get DEB_{SOURCE,VERSION}
+include /usr/share/dpkg/pkg-info.mk
+
+# Include /usr/share/dpkg/architecture.mk to get DEB_HOST_{MULTI,}ARCH
+include /usr/share/dpkg/architecture.mk
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DPKG_GENSYMBOLS_CHECK_LEVEL := 4
 
 doc_html = \
@@ -27,6 +33,16 @@
 		LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)
 
 override_dh_auto_install:
+	# Installing pkgconfig information
+	mkdir -p debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig
+	sed -e "s/@DEB_TARGET_MULTIARCH@/$(DEB_TARGET_MULTIARCH)/" \
+		-e "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/" \
+		debian/pkgconfig/libgif7.pc.in \
+		1>debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig/libgif7.pc
+	ln -sf /usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig/libgif7.pc \
+		debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)/pkgconfig/libgif.pc
+
+	# Performing an installation step
 	dh_auto_install -- PREFIX=/usr \
 		LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)

## giflib 5.2.2

=== debian/changelog ===
giflib (5.2.2-1ubuntu1) noble; urgency=medium

  * d/p/snprintf.patch: 
    - cherry pick a patch from Adam Sampson to fix incorrect length arg
      to snprintf (LP:#2060282).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 05 Apr 2024 10:31:09 +0200

giflib (5.2.2-1) unstable; urgency=medium

  [ Debian Janitor]
  * Update standards version to 4.6.1, no changes needed.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Use secure URI in Homepage field.

  [ Andreas Metzler ]
  * debian/patches:
    + Drop patches applied upstream (fix-get-args-segment-violation.patch
      fix-spelling-errors-on-doc-pages.patch recover-giffilter-docs.patch
      add-gifsponge-docs.patch)
    + Drop superseded patch (install-only-distributed-binaries-manuals.patch).
    + Unfuzzz patches
    + Features fixes for CVE-2023-48161, CVE-2022-28506.
  * Cherry-pick Correct-document-page-install.patch to install manpages
    instead of xml source.
  * Install giflib.7 manpage.
  * Update symbol file (added DGifDecreaseImageCounter@Base).
  * Cherry-pick Clean-up-memory-better-at-end-of-run-CVE-2021-40633.patch to
    fix CVE-2021-40633.
  * Add lintian overrides for html files built from xml (source-is-missing).

  [ David Suárez ]
  * New upstream version;
      Closes: #1024988, #988151, #1014586, #1045040, 1049653
  * Update email to debian domain.
  * Wrap and sort.
  * Add 'dont-build-html-pages-images' patch.
  * Acknowledges NMU's uploads.
  * Add 'salsa-ci.yml'.

 -- David Suárez <deiv@debian.org>  Sun, 25 Feb 2024 17:44:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: giflib
 Section: libs
 Priority: optional
-Maintainer: David Suárez <david.sephirot@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Suárez <deiv@debian.org>
 Build-Depends: debhelper-compat (= 13), xmlto
-Standards-Version: 4.6.0
-Homepage: http://giflib.sourceforge.net/
+Standards-Version: 4.6.1
+Homepage: https://giflib.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/giflib.git
 Vcs-Browser: https://salsa.debian.org/debian/giflib
 Rules-Requires-Root: no
@@ -12,10 +13,9 @@
 Package: giflib-tools
 Section: utils
 Architecture: any
-Depends:
- libperl4-corelibs-perl | perl (<< 5.12.3-7),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: libperl4-corelibs-perl | perl (<< 5.12.3-7),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: libungif-bin
 Description: library for GIF images (utilities)
  GIFLIB is a package of portable tools and library routines for working with

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_ALWAYS_EXCLUDE=CVS:.idea
 
 # Include /usr/share/dpkg/pkg-info.mk to get DEB_{SOURCE,VERSION}
 include /usr/share/dpkg/pkg-info.mk
